/**
 * Copyright (C) 2003-2004 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */
#include <jni.h>
/* Header for class com_funambol_syncclient_sps_pocketpc_RapiDB */

#ifndef _Included_com_funambol_syncclient_sps_pocketpc_RapiDB
#define _Included_com_funambol_syncclient_sps_pocketpc_RapiDB
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     com_funambol_syncclient_sps_pocketpc_RapiDB
 * Method:    createDB
 * Signature: (II)Z
 */
JNIEXPORT jboolean JNICALL Java_com_funambol_syncclient_sps_pocketpc_RapiDB_createDB
  (JNIEnv *, jobject, jint, jint);

/*
 * Class:     com_funambol_syncclient_sps_pocketpc_RapiDB
 * Method:    openDB
 * Signature: (III)Z
 */
JNIEXPORT jboolean JNICALL Java_com_funambol_syncclient_sps_pocketpc_RapiDB_openDB
  (JNIEnv *, jobject, jint, jint, jint);

/*
 * Class:     com_funambol_syncclient_sps_pocketpc_RapiDB
 * Method:    closeDB
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_com_funambol_syncclient_sps_pocketpc_RapiDB_closeDB
  (JNIEnv *, jobject);

/*
 * Class:     com_funambol_syncclient_sps_pocketpc_RapiDB
 * Method:    deleteDB
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_com_funambol_syncclient_sps_pocketpc_RapiDB_deleteDB
  (JNIEnv *, jobject);

/*
 * Class:     com_funambol_syncclient_sps_pocketpc_RapiDB
 * Method:    readRecord
 * Signature: (Ljava/lang/String;)[Ljava/lang/Object;
 */
JNIEXPORT jobjectArray JNICALL Java_com_funambol_syncclient_sps_pocketpc_RapiDB_readRecord
  (JNIEnv *, jobject, jstring);

/*
 * Class:     com_funambol_syncclient_sps_pocketpc_RapiDB
 * Method:    storeRecord
 * Signature: (Ljava/lang/Object;[Ljava/lang/Object;)[Ljava/lang/Object;
 */
JNIEXPORT jobjectArray JNICALL Java_com_funambol_syncclient_sps_pocketpc_RapiDB_storeRecord
  (JNIEnv *, jobject, jobject, jobjectArray);

/*
 * Class:     com_funambol_syncclient_sps_pocketpc_RapiDB
 * Method:    setRecordField
 * Signature: (Ljava/lang/Object;ILjava/lang/Object;)V
 */
JNIEXPORT void JNICALL Java_com_funambol_syncclient_sps_pocketpc_RapiDB_setRecordField
  (JNIEnv *, jobject, jobject, jint, jobject);

/*
 * Class:     com_funambol_syncclient_sps_pocketpc_RapiDB
 * Method:    deleteRecord
 * Signature: (Ljava/lang/Object;)V
 */
JNIEXPORT void JNICALL Java_com_funambol_syncclient_sps_pocketpc_RapiDB_deleteRecord
  (JNIEnv *, jobject, jobject);

/*
 * Class:     com_funambol_syncclient_sps_pocketpc_RapiDB
 * Method:    getAllRecords
 * Signature: ()[[Ljava/lang/Object;
 */
JNIEXPORT jobjectArray JNICALL Java_com_funambol_syncclient_sps_pocketpc_RapiDB_getAllRecords
  (JNIEnv *, jobject);

/*
 * Class:     com_funambol_syncclient_sps_pocketpc_RapiDB
 * Method:    getNextRecord
 * Signature: (C)[Ljava/lang/Object;
 */
JNIEXPORT jobjectArray JNICALL Java_com_funambol_syncclient_sps_pocketpc_RapiDB_getNextRecord
  (JNIEnv *, jobject, jchar);

#ifdef __cplusplus
}
#endif
#endif